# DataExchange
TKVRML
Vrml

# Vrml_Instancing Class Reference

defines "instancing" - using the same instance of a node
multiple times.
It is accomplished by using the "DEF" and "USE" keywords.
The DEF keyword both defines a named node, and creates a single
instance of it.
The USE keyword indicates that the most recently defined instance
should be used again.
If several nades were given the same name, then the last DEF
encountered during parsing "wins".
DEF/USE is limited to a single file.

`#include <Vrml_Instancing.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_Instancing (const TCollection_AsciiString &aString)
| Adds "DEF <myName>" in anOStream (VRML file). .
Standard_EXPORT Standard_OStream & | DEF (Standard_OStream &anOStream) const
| Adds "USE <myName>" in anOStream (VRML file). .
Standard_EXPORT Standard_OStream & | USE (Standard_OStream &anOStream) const

## Private Attributes

TCollection_AsciiString | myName

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_Instancing::Vrml_Instancing | ( | const TCollection_AsciiString & | aString | ) |

## Member Function Documentation

Standard_EXPORT Standard_OStream& Vrml_Instancing::DEF | ( | Standard_OStream & | anOStream | ) | const

void Vrml_Instancing::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_Instancing::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_Instancing::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_Instancing::USE | ( | Standard_OStream & | anOStream | ) | const

## Field Documentation

TCollection_AsciiString Vrml_Instancing::myName `[private]`

The documentation for this class was generated from the following file:

- Vrml_Instancing.hxx